from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComInstAtt(UltmarcTable):
    """レイアウト区分111: COM_施設属性"""
    dcfhp_id: str                            # DCFｺｰﾄﾞ（ﾚｺｰﾄﾞID）
    dcfhp_code: str                          # DCFｺｰﾄﾞ（施設ｺｰﾄﾞ）
    dcfhp_yobi: str                          # DCFｺｰﾄﾞ（予備）10/8asa
    dpc_flag: str                            # DPC対象病院ﾌﾗｸﾞ
    dpc_spec_day: str                        # DPC対象病院指定年月日
    dpc_cancel_day: str                      # DPC対象病院取消年月日
    predpc_flag: str                         # DPC準備病院ﾌﾗｸﾞ
    predpc_spec_day: str                     # DPC準備病院承認年
    predpc_cancel_day: str                   # DPC準備病院取消年月日
    cancer_flag: str                         # がん診療連携拠点病院ﾌﾗｸﾞ
    cancer_spec_day: str                     # がん診療連携拠点病院指定年月日
    cancer_cancel_day: str                   # がん診療連携拠点病院取消年月日
    funchp_flag: str                         # 特定機能病院ﾌﾗｸﾞ
    funchp_ok_date: str                      # 特定機能病院承認年月日
    funchp_can_date: str                     # 特定機能病院取消年月日
    areasuphp_flag: str                      # 地域医療支援病院ﾌﾗｸﾞ
    areasuphp_intrate: str                   # 地域医療支援病院紹介率
    areasuphp_ok_date: str                   # 地域医療支援病院承認年月日
    areasuphp_can_date: str                  # 地域医療支援病院取消年月日
    acuthp_add_flag: str                     # 超急性期脳卒中加算ﾌﾗｸﾞ
    acuthp_add_ok_date: str                  # 超急性期脳卒中加算承認年月日
    acuthp_add_can_date: str                 # 超急性期脳卒中加算取消年月日
    genadmisiion_flag: str                   # 総合入院体制加算ﾌﾗｸﾞ
    genadmisiion_ok_date: str                # 総合入院体制加算承認年月日
    genadmisiion_can_date: str               # 総合入院体制加算取消年月日
    assistance_flag: str                     # 医師事務作業補助体制加算ﾌﾗｸﾞ
    assistance_ok_date: str                  # 医師事務作業補助体制加算承認年月日
    assistance_can_date: str                 # 医師事務作業補助体制加算取消年月日
    diagnosis_treatment_flag: str            # 診療録管理体制加算ﾌﾗｸﾞ
    diagnosis_treatment_spec_day: str        # 診療録管理体制加算承認年月日
    diagnosis_treatment_cancel_day: str      # 診療録管理体制加算取消年月日
    safety_flag: str                         # 医療安全対策加算ﾌﾗｸﾞ
    safety_spec_day: str                     # 医療安全対策加算承認年月日
    safety_cancel_day: str                   # 医療安全対策加算取消年月日
    highrisk_flag: str                       # 褥瘡ﾊｲﾘｽｸ患者ｹｱ加算ﾌﾗｸﾞ
    highrisk_spec_day: str                   # 褥瘡ﾊｲﾘｽｸ患者ｹｱ加算承認年月日
    highrisk_cancel_day: str                 # 褥瘡ﾊｲﾘｽｸ患者ｹｱ加算取消年月日
    infant_and_holiday_flag: str             # 地域連携小児夜間･休日診療料ﾌﾗｸﾞ
    infant_and_holiday_spec_day: str         # 地域連携小児夜間･休日診療料承認
    infant_and_holiday_cancel_day: str       # 地域連携小児夜間･休日診療料取消
    ophp_flag: str                           # 開放型病院ﾌﾗｸﾞ
    ophpok_date: str                         # 開放型病院承認年月日
    ophpcan_date: str                        # 開放型病院取消年月日
    critical_flag: str                       # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽﾌﾗｸﾞ
    critical_code01: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ1
    critical_code02: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ2
    critical_code03: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ3
    critical_code04: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ4
    critical_code05: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ5
    critical_code06: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ6
    critical_code07: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ7
    critical_code08: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ8
    critical_code09: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ9
    critical_code10: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ10
    critical_code11: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ11
    critical_code12: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ12
    critical_code13: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ13
    critical_code14: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ14
    critical_code15: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ15
    critical_code16: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ16
    critical_code17: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ17
    critical_code18: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ18
    critical_code19: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ19
    critical_code20: str                     # 地域連携ｸﾘﾃｨｶﾙﾊﾟｽｺｰﾄﾞ20
    drgmgthp_flag: str                       # 薬剤管理指導料ﾌﾗｸﾞ
    drgmgthp_ok_date: str                    # 薬剤管理指導料承認年月日
    drgmgthp_can_date: str                   # 薬剤管理指導料取消年月日
    image_diagnosis_flag: str                # 画像診断管理加算ﾌﾗｸﾞ
    image_diagnosis_specified_day: str       # 画像診断管理加算承認年月日
    image_diagnosis_cancel_day: str          # 画像診断管理加算取消年月日
    chemotherapy_flag: str                   # 外来化学療法加算ﾌﾗｸﾞ
    chemotherapy_spec_day: str               # 外来化学療法加算承認年月日
    chemotherapy_cancel_day: str             # 外来化学療法加算取消年月日
    rehabilitation_flag: str                 # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ﾌﾗｸﾞ
    rehabilitation_code01: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ1
    rehabilitation_code02: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ2
    rehabilitation_code03: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ3
    rehabilitation_code04: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ4
    rehabilitation_code05: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ5
    rehabilitation_code06: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ6
    rehabilitation_code07: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ7
    rehabilitation_code08: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ8
    rehabilitation_code09: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ9
    rehabilitation_code10: str               # 疾患別ﾘﾊﾋﾞﾘﾃｰｼｮﾝ料ｺｰﾄﾞ10
    anesthetizing_manage_flag: str           # 麻酔管理料ﾌﾗｸﾞ
    anesthetizing_manage_spec_day: str       # 麻酔管理料承認年月日
    anesthetizing_manage_can_day: str        # 麻酔管理料取消年月日
    home_recuperation_flag: str              # 在宅療養支援病院･診療所ﾌﾗｸﾞ
    home_recuperation_spec_day: str          # 在宅療養支援病院･診療所承認年月
    home_recuperation_cancel_day: str        # 在宅療養支援病院･診療所取消年月
    synthesis_when_staying_flag: str         # 在宅時医学総合管理料ﾌﾗｸﾞ
    synthesis_when_staying_spec_day: str     # 在宅時医学総合管理料承認年月日
    synthesis_when_staying_can_day: str      # 在宅時医学総合管理料取消年月日
    home_late_flag: str                      # 在宅末期医療総合診療料ﾌﾗｸﾞ
    home_late_ok_day: str                    # 在宅末期医療総合診療料承認年月日
    home_late_can_day: str                   # 在宅末期医療総合診療料取消年月日
    caremix_kind: str                        # ｹｱﾐｯｸｽ区分
    fullmove_flag: str                       # 完全型･移行型区分
    resthp_flag: str                         # 療養型病床群ﾌﾗｸﾞ
    resthp_care_kind: str                    # 療養型病床群_医療型（看護種別）
    resthp_bed_num: str                      # 療養型病床群_医療型（病床数）
    resthp_ok_date: str                      # 療養型病床群_医療型（承認年月日）
    resthp_can_date: str                     # 療養型病床群_医療型（取消年月日）
    resthp_care_nrs_kind: str                # 療養型病床群_介護型（看護種別）
    resthp_care_bed_num: str                 # 療養型病床群_介護型（病床数）
    resthp_care_ok_date: str                 # 療養型病床群_介護型（承認年月日）
    resthp_care_can_date: str                # 療養型病床群_介護型（取消年月日）
    resthp_sbed_num: str                     # 療養型病床群_稼動数合計（病床数）
    nrmhp_flag: str                          # 一般病棟ﾌﾗｸﾞ
    nrmhp_care_kind: str                     # 一般病棟看護種別
    nrmhp_bed_total_num: str                 # 一般病棟病床数
    menthp_flag: str                         # 精神病棟ﾌﾗｸﾞ
    menthp_care_kind: str                    # 精神病棟看護種別
    menthp_bed_num: str                      # 精神病棟病床数
    tubhp_flag: str                          # 結核病棟ﾌﾗｸﾞ
    tubhp_care_kind: str                     # 結核病棟看護種別
    tubhp_bed_num: str                       # 結核病棟病床数
    infhp_flag: str                          # 感染症特定
    infhp_flag1: str                         # 感染症1種
    infhp_flag2: str                         # 感染症2種
    infhp_bed_flag: str                      # 感染症病床ﾌﾗｸﾞ
    infhp_bed_num: str                       # 感染症病床病床数
    hospice_flag: str                        # 緩和ｹｱ病棟設置病院ﾌﾗｸﾞ
    hospice_bed_num: str                     # 緩和ｹｱ病棟設置病院病床数
    hospice_ok_date: str                     # 緩和ｹｱ病棟設置病院承認年月日
    hospice_can_date: str                    # 緩和ｹｱ病棟設置病院取消年月日
    hpfunce_st_flag: str                     # 医療機能評価ﾌﾗｸﾞ
    hpfunce_st_kind: str                     # 医療機能評価種別
    hpfunce_st_ok_date: str                  # 医療機能評価承認年月日
    hpfunce_st_can_date: str                 # 医療機能評価取消年月日
    clolyhp_kind: str                        # 臨床研修指定病院_基幹型病院1ﾌﾗｸﾞ
    clolyhp_ok_date: str                     # 臨床研修指定病院_基幹型病院1承認年月日
    clolyhp_can_date: str                    # 臨床研修指定病院_基幹型病院1取消年月日
    clhp_kind: str                           # 臨床研修指定病院_基幹型病院2(群指定)ﾌﾗｸﾞ
    clhp_ok_date: str                        # 臨床研修指定病院_基幹型病院2(群指定)承認
    clhp_can_date: str                       # 臨床研修指定病院_基幹型病院2(群指定)取消
    cldephp_kind: str                        # 臨床研修指定病院_協力型病院(群指定)ﾌﾗｸﾞ
    cldephp_ok_date: str                     # 臨床研修指定病院_協力型病院(群指定)承認年
    cldephp_can_date: str                    # 臨床研修指定病院_協力型病院(群指定)取消年
    disasthp_flag: str                       # 災害拠点病院
    d1emerhp_flag: str                       # 救急医療救急告示
    d2emerhp_flag: str                       # 救急医療2次救急
    d3emerhp_flag: str                       # 救急医療3次救急
    emergency_clinic: str                    # 救急告示診療所
    trial_core_flag: str                     # 治験中核病院ﾌﾗｸﾞ
    trial_core_div: str                      # 治験中核病院区分
    trial_core_ok_date: str                  # 治験中核病院承認年月日
    trial_core_can_date: str                 # 治験中核病院取消年月日
    dementia_flag: str                       # 認知症疾患医療ｾﾝﾀｰﾌﾗｸﾞ
    dementia_okd_ate: str                    # 認知症疾患医療ｾﾝﾀｰ承認年月日
    dementia_can_date: str                   # 認知症疾患医療ｾﾝﾀｰ取消年月日
    sphealth_exploration: str                # 特定健康診査実施機
    sphealth_guidance: str                   # 特定保健指導実施機
    hiadhp_flag: str                         # 先端医療･高度医療技術実施医療機関ﾌﾗｸﾞ
    hiadhpcode1: str                         # 先端医療･高度医療技術実施医療機関1（ｺｰﾄﾞ）
    hiadhpkind1: str                         # 先端医療･高度医療技術実施医療機関1（区分）
    hiadhpcode2: str                         # 先端医療･高度医療技術実施医療機関2（ｺｰﾄﾞ）
    hiadhpkind2: str                         # 先端医療･高度医療技術実施医療機関2（区分）
    hiadhpcode3: str                         # 先端医療･高度医療技術実施医療機関3（ｺｰﾄﾞ）
    hiadhpkind3: str                         # 先端医療･高度医療技術実施医療機関3（区分）
    hiadhpcode4: str                         # 先端医療･高度医療技術実施医療機関4（ｺｰﾄﾞ）
    hiadhpkind4: str                         # 先端医療･高度医療技術実施医療機関4（区分）
    hiadhpcode5: str                         # 先端医療･高度医療技術実施医療機関5（ｺｰﾄﾞ）
    hiadhpkind5: str                         # 先端医療･高度医療技術実施医療機関5（区分）
    hiadhpcode6: str                         # 先端医療･高度医療技術実施医療機関6（ｺｰﾄﾞ）
    hiadhpkind6: str                         # 先端医療･高度医療技術実施医療機関6（区分）
    hiadhpcode7: str                         # 先端医療･高度医療技術実施医療機関7（ｺｰﾄﾞ）
    hiadhpkind7: str                         # 先端医療･高度医療技術実施医療機関7（区分）
    hiadhpcode8: str                         # 先端医療･高度医療技術実施医療機関8（ｺｰﾄﾞ）
    hiadhpkind8: str                         # 先端医療･高度医療技術実施医療機関8（区分）
    hiadhpcode9: str                         # 先端医療･高度医療技術実施医療機関9（ｺｰﾄﾞ）
    hiadhpkind9: str                         # 先端医療･高度医療技術実施医療機関9（区分）
    hiadhpcode10: str                        # 先端医療･高度医療技術実施医療機関10（ｺｰﾄﾞ）
    hiadhpkind10: str                        # 先端医療･高度医療技術実施医療機関10（区分）
    hiadhpcode11: str                        # 先端医療･高度医療技術実施医療機関11（ｺｰﾄﾞ）
    hiadhpkind11: str                        # 先端医療･高度医療技術実施医療機関11（区分）
    hiadhpcode12: str                        # 先端医療･高度医療技術実施医療機関12（ｺｰﾄﾞ）
    hiadhpkind12: str                        # 先端医療･高度医療技術実施医療機関12（区分）
    hiadhpcode13: str                        # 先端医療･高度医療技術実施医療機関13（ｺｰﾄﾞ）
    hiadhpkind13: str                        # 先端医療･高度医療技術実施医療機関13（区分）
    hiadhpcode14: str                        # 先端医療･高度医療技術実施医療機関14（ｺｰﾄﾞ）
    hiadhpkind14: str                        # 先端医療･高度医療技術実施医療機関14（区分）
    hiadhpcode15: str                        # 先端医療･高度医療技術実施医療機関15（ｺｰﾄﾞ）
    hiadhpkind15: str                        # 先端医療･高度医療技術実施医療機関15（区分）
    hiadhpcode16: str                        # 先端医療･高度医療技術実施医療機関16（ｺｰﾄﾞ）
    hiadhpkind16: str                        # 先端医療･高度医療技術実施医療機関16（区分）
    hiadhpcode17: str                        # 先端医療･高度医療技術実施医療機関17（ｺｰﾄﾞ）
    hiadhpkind17: str                        # 先端医療･高度医療技術実施医療機関17（区分）
    hiadhpcode18: str                        # 先端医療･高度医療技術実施医療機関18（ｺｰﾄﾞ）
    hiadhpkind18: str                        # 先端医療･高度医療技術実施医療機関18（区分）
    hiadhpcode19: str                        # 先端医療･高度医療技術実施医療機関19（ｺｰﾄﾞ）
    hiadhpkind19: str                        # 先端医療･高度医療技術実施医療機関19（区分）
    hiadhpcode20: str                        # 先端医療･高度医療技術実施医療機関20（ｺｰﾄﾞ）
    hiadhpkind20: str                        # 先端医療･高度医療技術実施医療機関20（区分）
    hiadhpcode21: str                        # 先端医療･高度医療技術実施医療機関21（ｺｰﾄﾞ）
    hiadhpkind21: str                        # 先端医療･高度医療技術実施医療機関21（区分）
    hiadhpcode22: str                        # 先端医療･高度医療技術実施医療機関22（ｺｰﾄﾞ）
    hiadhpkind22: str                        # 先端医療･高度医療技術実施医療機関22（区分）
    hiadhpcode23: str                        # 先端医療･高度医療技術実施医療機関23（ｺｰﾄﾞ）
    hiadhpkind23: str                        # 先端医療･高度医療技術実施医療機関23（区分）
    hiadhpcode24: str                        # 先端医療･高度医療技術実施医療機関24（ｺｰﾄﾞ）
    hiadhpkind24: str                        # 先端医療･高度医療技術実施医療機関24（区分）
    hiadhpcode25: str                        # 先端医療･高度医療技術実施医療機関25（ｺｰﾄﾞ）
    hiadhpkind25: str                        # 先端医療･高度医療技術実施医療機関25（区分）
    hiadhpcode26: str                        # 先端医療･高度医療技術実施医療機関26（ｺｰﾄﾞ）
    hiadhpkind26: str                        # 先端医療･高度医療技術実施医療機関26（区分）
    hiadhpcode27: str                        # 先端医療･高度医療技術実施医療機関27（ｺｰﾄﾞ）
    hiadhpkind27: str                        # 先端医療･高度医療技術実施医療機関27（区分）
    hiadhpcode28: str                        # 先端医療･高度医療技術実施医療機関28（ｺｰﾄﾞ）
    hiadhpkind28: str                        # 先端医療･高度医療技術実施医療機関28（区分）
    hiadhpcode29: str                        # 先端医療･高度医療技術実施医療機関29（ｺｰﾄﾞ）
    hiadhpkind29: str                        # 先端医療･高度医療技術実施医療機関29（区分）
    hiadhpcode30: str                        # 先端医療･高度医療技術実施医療機関30（ｺｰﾄﾞ）
    hiadhpkind30: str                        # 先端医療･高度医療技術実施医療機関30（区分）
    hiadhpcode31: str                        # 先端医療･高度医療技術実施医療機関31（ｺｰﾄﾞ）
    hiadhpkind31: str                        # 先端医療･高度医療技術実施医療機関31（区分）
    hiadhpcode32: str                        # 先端医療･高度医療技術実施医療機関32（ｺｰﾄﾞ）
    hiadhpkind32: str                        # 先端医療･高度医療技術実施医療機関32（区分）
    hiadhpcode33: str                        # 先端医療･高度医療技術実施医療機関33（ｺｰﾄﾞ）
    hiadhpkind33: str                        # 先端医療･高度医療技術実施医療機関33（区分）
    hiadhpcode34: str                        # 先端医療･高度医療技術実施医療機関34（ｺｰﾄﾞ）
    hiadhpkind34: str                        # 先端医療･高度医療技術実施医療機関34（区分）
    hiadhpcode35: str                        # 先端医療･高度医療技術実施医療機関35（ｺｰﾄﾞ）
    hiadhpkind35: str                        # 先端医療･高度医療技術実施医療機関35（区分）
    hiadhpcode36: str                        # 先端医療･高度医療技術実施医療機関36（ｺｰﾄﾞ）
    hiadhpkind36: str                        # 先端医療･高度医療技術実施医療機関36（区分）
    hiadhpcode37: str                        # 先端医療･高度医療技術実施医療機関37（ｺｰﾄﾞ）
    hiadhpkind37: str                        # 先端医療･高度医療技術実施医療機関37（区分）
    hiadhpcode38: str                        # 先端医療･高度医療技術実施医療機関38（ｺｰﾄﾞ）
    hiadhpkind38: str                        # 先端医療･高度医療技術実施医療機関38（区分）
    hiadhpcode39: str                        # 先端医療･高度医療技術実施医療機関39（ｺｰﾄﾞ）
    hiadhpkind39: str                        # 先端医療･高度医療技術実施医療機関39（区分）
    hiadhpcode40: str                        # 先端医療･高度医療技術実施医療機関40（ｺｰﾄﾞ）
    hiadhpkind40: str                        # 先端医療･高度医療技術実施医療機関40（区分）
    hitechhp_flag: str                       # 先端医療機器ﾌﾗｸﾞ
    hitechhpkind1: str                       # 先端医療機器１
    hitechhpkind2: str                       # 先端医療機器２
    hitechhpkind3: str                       # 先端医療機器３
    hitechhpkind4: str                       # 先端医療機器４
    hitechhpkind5: str                       # 先端医療機器５
    hitechhpkind6: str                       # 先端医療機器６
    hitechhpkind7: str                       # 先端医療機器７
    hitechhpkind8: str                       # 先端医療機器８
    hitechhpkind9: str                       # 先端医療機器９
    hitechhpkind10: str                      # 先端医療機器１０
    hitechhpkind11: str                      # 先端医療機器１１
    hitechhpkind12: str                      # 先端医療機器１２
    hitechhpkind13: str                      # 先端医療機器１３
    hitechhpkind14: str                      # 先端医療機器１４
    hitechhpkind15: str                      # 先端医療機器１５
    hitechhpkind16: str                      # 先端医療機器１６
    hitechhpkind17: str                      # 先端医療機器１７
    hitechhpkind18: str                      # 先端医療機器１８
    hitechhpkind19: str                      # 先端医療機器１９
    hitechhpkind20: str                      # 先端医療機器２０
    policy_medical_flag: str                 # 政策医療ﾌﾗｸﾞ
    policymedical_code01: str                # 政策医療1（ｺｰﾄﾞ）
    policymedical_content01: str             # 政策医療1（区分）
    policymedical_code02: str                # 政策医療2（ｺｰﾄﾞ）
    policymedical_content02: str             # 政策医療2（区分）
    policymedical_code03: str                # 政策医療3（ｺｰﾄﾞ）
    policymedical_content03: str             # 政策医療3（区分）
    policymedical_code04: str                # 政策医療4（ｺｰﾄﾞ）
    policymedical_content04: str             # 政策医療4（区分）
    policymedical_code05: str                # 政策医療5（ｺｰﾄﾞ）
    policymedical_content05: str             # 政策医療5（区分）
    policymedical_code06: str                # 政策医療6（ｺｰﾄﾞ）
    policymedical_content06: str             # 政策医療6（区分）
    policymedical_code07: str                # 政策医療7（ｺｰﾄﾞ）
    policymedical_content07: str             # 政策医療7（区分）
    policymedical_code08: str                # 政策医療8（ｺｰﾄﾞ）
    policymedical_content08: str             # 政策医療8（区分）
    policymedical_code09: str                # 政策医療9（ｺｰﾄﾞ）
    policymedical_content09: str             # 政策医療9（区分）
    policymedical_code10: str                # 政策医療10（ｺｰﾄﾞ）
    policymedical_content10: str             # 政策医療10（区分）
    policymedical_code11: str                # 政策医療11（ｺｰﾄﾞ）
    policymedical_content11: str             # 政策医療11（区分）
    policymedical_code12: str                # 政策医療12（ｺｰﾄﾞ）
    policymedical_content12: str             # 政策医療12（区分）
    policymedical_code13: str                # 政策医療13（ｺｰﾄﾞ）
    policymedical_content13: str             # 政策医療13（区分）
    policymedical_code14: str                # 政策医療14（ｺｰﾄﾞ）
    policymedical_content14: str             # 政策医療14（区分）
    policymedical_code15: str                # 政策医療15（ｺｰﾄﾞ）
    policymedical_content15: str             # 政策医療15（区分）
    policymedical_code16: str                # 政策医療16（ｺｰﾄﾞ）
    policymedical_content16: str             # 政策医療16（区分）
    policymedical_code17: str                # 政策医療17（ｺｰﾄﾞ）
    policymedical_content17: str             # 政策医療17（区分）
    policymedical_code18: str                # 政策医療18（ｺｰﾄﾞ）
    policymedical_content18: str             # 政策医療18（区分）
    policymedical_code19: str                # 政策医療19（ｺｰﾄﾞ）
    policymedical_content19: str             # 政策医療19（区分）
    policymedical_code20: str                # 政策医療20（ｺｰﾄﾞ）
    policymedical_content20: str             # 政策医療20（区分）
    visitcarest_flag: str                    # 訪問看護ｽﾃｰｼｮﾝﾌﾗｸﾞ
    visitcarestation_id: str                 # 訪問看護ｽﾃｰｼｮﾝ_施設ｺｰﾄﾞ(ﾚｺｰﾄﾞID）
    visitcarestation_code: str               # 訪問看護ｽﾃｰｼｮﾝ_施設ｺｰﾄﾞ(施設ｺｰﾄﾞ）
    visitcarestation_yobi: str               # 訪問看護ｽﾃｰｼｮﾝ_施設ｺｰﾄﾞ(予備）
    open_date: str                           # 開設年月
    maint_flag: str                          # 修正区分
    adddel_div: str                          # 追加削除区分

    dcfdsf_inst_code: str                    # DCFDSF施設コード
    resthp_items: list                       # 療養型病床リスト
    cl_items: list                           # 臨床研修指定病院リスト

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.dcfhp_id = record[1].strip()
        self.dcfhp_code = record[2].strip()
        self.dcfhp_yobi = record[3].strip()

        self.maint_flag = record[4].strip()
        self.adddel_div = record[5].strip()

        self.dpc_flag = record[8].strip()
        self.dpc_spec_day = record[9].strip()
        self.dpc_cancel_day = record[10].strip()

        self.predpc_flag = record[11].strip()
        self.predpc_spec_day = record[12].strip()
        self.predpc_cancel_day = record[13].strip()

        self.cancer_flag = record[14].strip()
        self.cancer_spec_day = record[15].strip()
        self.cancer_cancel_day = record[16].strip()

        self.funchp_flag = record[17].strip()
        self.funchp_ok_date = record[18].strip()
        self.funchp_can_date = record[19].strip()

        self.areasuphp_flag = record[20].strip()
        self.areasuphp_intrate = record[21].strip()
        self.areasuphp_ok_date = record[22].strip()
        self.areasuphp_can_date = record[23].strip()

        self.acuthp_add_flag = record[24].strip()
        self.acuthp_add_ok_date = record[25].strip()
        self.acuthp_add_can_date = record[26].strip()

        self.genadmisiion_flag = record[27].strip()
        self.genadmisiion_ok_date = record[28].strip()
        self.genadmisiion_can_date = record[29].strip()

        self.assistance_flag = record[30].strip()
        self.assistance_ok_date = record[31].strip()
        self.assistance_can_date = record[32].strip()

        self.diagnosis_treatment_flag = record[33].strip()
        self.diagnosis_treatment_spec_day = record[34].strip()
        self.diagnosis_treatment_cancel_day = record[35].strip()

        self.safety_flag = record[36].strip()
        self.safety_spec_day = record[37].strip()
        self.safety_cancel_day = record[38].strip()

        self.highrisk_flag = record[39].strip()
        self.highrisk_spec_day = record[40].strip()
        self.highrisk_cancel_day = record[41].strip()

        self.infant_and_holiday_flag = record[42].strip()
        self.infant_and_holiday_spec_day = record[43].strip()
        self.infant_and_holiday_cancel_day = record[44].strip()

        self.ophp_flag = record[45].strip()
        self.ophpok_date = record[46].strip()
        self.ophpcan_date = record[47].strip()
        self.critical_flag = record[48].strip()

        self.critical_code01 = record[49].strip()
        self.critical_code02 = record[50].strip()
        self.critical_code03 = record[51].strip()
        self.critical_code04 = record[52].strip()
        self.critical_code05 = record[53].strip()
        self.critical_code06 = record[54].strip()
        self.critical_code07 = record[55].strip()
        self.critical_code08 = record[56].strip()
        self.critical_code09 = record[57].strip()
        self.critical_code10 = record[58].strip()
        self.critical_code11 = record[59].strip()
        self.critical_code12 = record[60].strip()
        self.critical_code13 = record[61].strip()
        self.critical_code14 = record[62].strip()
        self.critical_code15 = record[63].strip()
        self.critical_code16 = record[64].strip()
        self.critical_code17 = record[65].strip()
        self.critical_code18 = record[66].strip()
        self.critical_code19 = record[67].strip()
        self.critical_code20 = record[68].strip()

        self.drgmgthp_flag = record[69].strip()
        self.drgmgthp_ok_date = record[70].strip()
        self.drgmgthp_can_date = record[71].strip()

        self.image_diagnosis_flag = record[72].strip()
        self.image_diagnosis_specified_day = record[73].strip()
        self.image_diagnosis_cancel_day = record[74].strip()

        self.chemotherapy_flag = record[75].strip()
        self.chemotherapy_spec_day = record[76].strip()
        self.chemotherapy_cancel_day = record[77].strip()

        self.rehabilitation_flag = record[78].strip()
        self.rehabilitation_code01 = record[79].strip()
        self.rehabilitation_code02 = record[80].strip()
        self.rehabilitation_code03 = record[81].strip()
        self.rehabilitation_code04 = record[82].strip()
        self.rehabilitation_code05 = record[83].strip()
        self.rehabilitation_code06 = record[84].strip()
        self.rehabilitation_code07 = record[85].strip()
        self.rehabilitation_code08 = record[86].strip()
        self.rehabilitation_code09 = record[87].strip()
        self.rehabilitation_code10 = record[88].strip()

        self.anesthetizing_manage_flag = record[89].strip()
        self.anesthetizing_manage_spec_day = record[90].strip()
        self.anesthetizing_manage_can_day = record[91].strip()

        self.home_recuperation_flag = record[92].strip()
        self.home_recuperation_spec_day = record[93].strip()
        self.home_recuperation_cancel_day = record[94].strip()

        self.synthesis_when_staying_flag = record[95].strip()
        self.synthesis_when_staying_spec_day = record[96].strip()
        self.synthesis_when_staying_can_day = record[97].strip()

        self.home_late_flag = record[98].strip()
        self.home_late_ok_day = record[99].strip()
        self.home_late_can_day = record[100].strip()

        self.caremix_kind = record[101].strip()
        self.fullmove_flag = record[102].strip()

        self.resthp_flag = record[103].strip()
        self.resthp_care_kind = record[104].strip()
        self.resthp_bed_num = record[105].strip()
        self.resthp_ok_date = record[106].strip()
        self.resthp_can_date = record[107].strip()
        self.resthp_care_nrs_kind = record[108].strip()
        self.resthp_care_bed_num = record[109].strip()
        self.resthp_care_ok_date = record[110].strip()
        self.resthp_care_can_date = record[111].strip()
        self.resthp_sbed_num = record[112].strip()

        self.nrmhp_flag = record[113].strip()
        self.nrmhp_care_kind = record[114].strip()
        self.nrmhp_bed_total_num = record[115].strip()

        self.menthp_flag = record[116].strip()
        self.menthp_care_kind = record[117].strip()
        self.menthp_bed_num = record[118].strip()

        self.tubhp_flag = record[119].strip()
        self.tubhp_care_kind = record[120].strip()
        self.tubhp_bed_num = record[121].strip()

        self.infhp_flag = record[122].strip()
        self.infhp_flag1 = record[123].strip()
        self.infhp_flag2 = record[124].strip()

        self.infhp_bed_flag = record[125].strip()
        self.infhp_bed_num = record[126].strip()

        self.hospice_flag = record[127].strip()
        self.hospice_bed_num = record[128].strip()
        self.hospice_ok_date = record[129].strip()
        self.hospice_can_date = record[130].strip()

        self.hpfunce_st_flag = record[131].strip()
        self.hpfunce_st_kind = record[132].strip()
        self.hpfunce_st_ok_date = record[133].strip()
        self.hpfunce_st_can_date = record[134].strip()

        self.clolyhp_kind = record[135].strip()
        self.clolyhp_ok_date = record[136].strip()
        self.clolyhp_can_date = record[137].strip()
        self.clhp_kind = record[138].strip()
        self.clhp_ok_date = record[139].strip()
        self.clhp_can_date = record[140].strip()
        self.cldephp_kind = record[141].strip()
        self.cldephp_ok_date = record[142].strip()
        self.cldephp_can_date = record[143].strip()

        self.disasthp_flag = record[144].strip()

        self.d1emerhp_flag = record[145].strip()
        self.d2emerhp_flag = record[146].strip()
        self.d3emerhp_flag = record[147].strip()

        self.emergency_clinic = record[148].strip()

        self.trial_core_flag = record[149].strip()
        self.trial_core_div = record[150].strip()
        self.trial_core_ok_date = record[151].strip()
        self.trial_core_can_date = record[152].strip()

        self.dementia_flag = record[153].strip()
        self.dementia_okd_ate = record[154].strip()
        self.dementia_can_date = record[155].strip()

        self.sphealth_exploration = record[156].strip()
        self.sphealth_guidance = record[157].strip()

        self.hiadhp_flag = record[158].strip()
        self.hiadhpcode1 = record[159].strip()
        self.hiadhpkind1 = record[160].strip()
        self.hiadhpcode2 = record[161].strip()
        self.hiadhpkind2 = record[162].strip()
        self.hiadhpcode3 = record[163].strip()
        self.hiadhpkind3 = record[164].strip()
        self.hiadhpcode4 = record[165].strip()
        self.hiadhpkind4 = record[166].strip()
        self.hiadhpcode5 = record[167].strip()
        self.hiadhpkind5 = record[168].strip()
        self.hiadhpcode6 = record[169].strip()
        self.hiadhpkind6 = record[170].strip()
        self.hiadhpcode7 = record[171].strip()
        self.hiadhpkind7 = record[172].strip()
        self.hiadhpcode8 = record[173].strip()
        self.hiadhpkind8 = record[174].strip()
        self.hiadhpcode9 = record[175].strip()
        self.hiadhpkind9 = record[176].strip()
        self.hiadhpcode10 = record[177].strip()
        self.hiadhpkind10 = record[178].strip()
        self.hiadhpcode11 = record[179].strip()
        self.hiadhpkind11 = record[180].strip()
        self.hiadhpcode12 = record[181].strip()
        self.hiadhpkind12 = record[182].strip()
        self.hiadhpcode13 = record[183].strip()
        self.hiadhpkind13 = record[184].strip()
        self.hiadhpcode14 = record[185].strip()
        self.hiadhpkind14 = record[186].strip()
        self.hiadhpcode15 = record[187].strip()
        self.hiadhpkind15 = record[188].strip()
        self.hiadhpcode16 = record[189].strip()
        self.hiadhpkind16 = record[190].strip()
        self.hiadhpcode17 = record[191].strip()
        self.hiadhpkind17 = record[192].strip()
        self.hiadhpcode18 = record[193].strip()
        self.hiadhpkind18 = record[194].strip()
        self.hiadhpcode19 = record[195].strip()
        self.hiadhpkind19 = record[196].strip()
        self.hiadhpcode20 = record[197].strip()
        self.hiadhpkind20 = record[198].strip()
        self.hiadhpcode21 = record[199].strip()
        self.hiadhpkind21 = record[200].strip()
        self.hiadhpcode22 = record[201].strip()
        self.hiadhpkind22 = record[202].strip()
        self.hiadhpcode23 = record[203].strip()
        self.hiadhpkind23 = record[204].strip()
        self.hiadhpcode24 = record[205].strip()
        self.hiadhpkind24 = record[206].strip()
        self.hiadhpcode25 = record[207].strip()
        self.hiadhpkind25 = record[208].strip()
        self.hiadhpcode26 = record[209].strip()
        self.hiadhpkind26 = record[210].strip()
        self.hiadhpcode27 = record[211].strip()
        self.hiadhpkind27 = record[212].strip()
        self.hiadhpcode28 = record[213].strip()
        self.hiadhpkind28 = record[214].strip()
        self.hiadhpcode29 = record[215].strip()
        self.hiadhpkind29 = record[216].strip()
        self.hiadhpcode30 = record[217].strip()
        self.hiadhpkind30 = record[218].strip()
        self.hiadhpcode31 = record[219].strip()
        self.hiadhpkind31 = record[220].strip()
        self.hiadhpcode32 = record[221].strip()
        self.hiadhpkind32 = record[222].strip()
        self.hiadhpcode33 = record[223].strip()
        self.hiadhpkind33 = record[224].strip()
        self.hiadhpcode34 = record[225].strip()
        self.hiadhpkind34 = record[226].strip()
        self.hiadhpcode35 = record[227].strip()
        self.hiadhpkind35 = record[228].strip()
        self.hiadhpcode36 = record[229].strip()
        self.hiadhpkind36 = record[230].strip()
        self.hiadhpcode37 = record[231].strip()
        self.hiadhpkind37 = record[232].strip()
        self.hiadhpcode38 = record[233].strip()
        self.hiadhpkind38 = record[234].strip()
        self.hiadhpcode39 = record[235].strip()
        self.hiadhpkind39 = record[236].strip()
        self.hiadhpcode40 = record[237].strip()
        self.hiadhpkind40 = record[238].strip()

        self.hitechhp_flag = record[239].strip()
        self.hitechhpkind1 = record[240].strip()
        self.hitechhpkind2 = record[241].strip()
        self.hitechhpkind3 = record[242].strip()
        self.hitechhpkind4 = record[243].strip()
        self.hitechhpkind5 = record[244].strip()
        self.hitechhpkind6 = record[245].strip()
        self.hitechhpkind7 = record[246].strip()
        self.hitechhpkind8 = record[247].strip()
        self.hitechhpkind9 = record[248].strip()
        self.hitechhpkind10 = record[249].strip()
        self.hitechhpkind11 = record[250].strip()
        self.hitechhpkind12 = record[251].strip()
        self.hitechhpkind13 = record[252].strip()
        self.hitechhpkind14 = record[253].strip()
        self.hitechhpkind15 = record[254].strip()
        self.hitechhpkind16 = record[255].strip()
        self.hitechhpkind17 = record[256].strip()
        self.hitechhpkind18 = record[257].strip()
        self.hitechhpkind19 = record[258].strip()
        self.hitechhpkind20 = record[259].strip()

        self.policy_medical_flag = record[260].strip()
        self.policymedical_code01 = record[261].strip()
        self.policymedical_content01 = record[262].strip()
        self.policymedical_code02 = record[263].strip()
        self.policymedical_content02 = record[264].strip()
        self.policymedical_code03 = record[265].strip()
        self.policymedical_content03 = record[266].strip()
        self.policymedical_code04 = record[267].strip()
        self.policymedical_content04 = record[268].strip()
        self.policymedical_code05 = record[269].strip()
        self.policymedical_content05 = record[270].strip()
        self.policymedical_code06 = record[271].strip()
        self.policymedical_content06 = record[272].strip()
        self.policymedical_code07 = record[273].strip()
        self.policymedical_content07 = record[274].strip()
        self.policymedical_code08 = record[275].strip()
        self.policymedical_content08 = record[276].strip()
        self.policymedical_code09 = record[277].strip()
        self.policymedical_content09 = record[278].strip()
        self.policymedical_code10 = record[279].strip()
        self.policymedical_content10 = record[280].strip()
        self.policymedical_code11 = record[281].strip()
        self.policymedical_content11 = record[282].strip()
        self.policymedical_code12 = record[283].strip()
        self.policymedical_content12 = record[284].strip()
        self.policymedical_code13 = record[285].strip()
        self.policymedical_content13 = record[286].strip()
        self.policymedical_code14 = record[287].strip()
        self.policymedical_content14 = record[288].strip()
        self.policymedical_code15 = record[289].strip()
        self.policymedical_content15 = record[290].strip()
        self.policymedical_code16 = record[291].strip()
        self.policymedical_content16 = record[292].strip()
        self.policymedical_code17 = record[293].strip()
        self.policymedical_content17 = record[294].strip()
        self.policymedical_code18 = record[295].strip()
        self.policymedical_content18 = record[296].strip()
        self.policymedical_code19 = record[297].strip()
        self.policymedical_content19 = record[298].strip()
        self.policymedical_code20 = record[299].strip()
        self.policymedical_content20 = record[300].strip()

        self.visitcarest_flag = record[301].strip()
        self.visitcarestation_id = record[302].strip()
        self.visitcarestation_code = record[303].strip()
        self.visitcarestation_yobi = record[304].strip()

        self.open_date = record[305].strip()

        # DCFDSF施設コード
        self.dcfdsf_inst_code = self.dcfhp_id + self.dcfhp_code + self.dcfhp_yobi

        # 療養型病床群
        self.resthp_items = [
            self.resthp_flag,
            self.resthp_care_kind,
            self.resthp_bed_num,
            self.resthp_ok_date,
            self.resthp_can_date,
            self.resthp_care_nrs_kind,
            self.resthp_care_bed_num,
            self.resthp_care_ok_date,
            self.resthp_care_can_date,
            self.resthp_sbed_num
        ]

        # 臨床研修指定病院リスト
        self.cl_items = [
            self.clolyhp_kind,
            self.clolyhp_ok_date,
            self.clolyhp_can_date,
            self.clhp_kind,
            self.clhp_ok_date,
            self.clhp_can_date,
            self.cldephp_kind,
            self.cldephp_ok_date,
            self.cldephp_can_date
        ]

        # smallint型のカラム値は、空文字で渡ってきた場合はNULLに変換する
        self.areasuphp_intrate = self.areasuphp_intrate if len(self.areasuphp_intrate) > 0 else None
        self.resthp_bed_num = self.resthp_bed_num if len(self.resthp_bed_num) > 0 else None
        self.resthp_care_bed_num = self.resthp_care_bed_num if len(self.resthp_care_bed_num) > 0 else None
        self.resthp_sbed_num = self.resthp_sbed_num if len(self.resthp_sbed_num) > 0 else None
        self.nrmhp_bed_total_num = self.nrmhp_bed_total_num if len(self.nrmhp_bed_total_num) > 0 else None
        self.menthp_bed_num = self.menthp_bed_num if len(self.menthp_bed_num) > 0 else None
        self.tubhp_bed_num = self.tubhp_bed_num if len(self.tubhp_bed_num) > 0 else None
        self.infhp_bed_num = self.infhp_bed_num if len(self.infhp_bed_num) > 0 else None
        self.hospice_bed_num = self.hospice_bed_num if len(self.hospice_bed_num) > 0 else None
